.switch {
  position: relative;
  border-radius: 11px;
  border: solid 1px rgba(#979797, 0.15);
  display: flex;
  align-items: center;
  justify-content: space-around;

  .switch-label {
    position: relative;
    padding: 10px 0;
    font-size: 13px;
    color: #34353d;
    font-weight: 600;
    cursor: pointer;
    z-index: 2;
    width: 50%;
    text-align: center;

    &:active {
      font-weight: bold;
    }

    &.switch-label-off {
      padding-left: 2px;
    }

    &.switch-label-on {
      padding-right: 2px;
    }
  }

  .switch-selection {
    position: absolute;
    top: 3px;
    left: 3px;
    bottom: 3px;
    display: block;
    width: calc(50% - 3px);
    border-radius: 9px;
    background-color: var(--color-red);
    -webkit-transition: left 0.15s ease-out;
    -moz-transition: left 0.15s ease-out;
    transition: left 0.15s ease-out;

    &.disabled {
      opacity: 0.6;
    }
  }

  .switch-input {
    display: none;

    &:checked + .switch-label {
      color: var(--color-white);
      -webkit-transition: 0.15s ease-out;
      -moz-transition: 0.15s ease-out;
      transition: 0.15s ease-out;
    }

    &:checked + .switch-label-on ~ .switch-selection {
      left: 50%;
    }

    &:disabled + .switch-label {
      opacity: 0.8;
    }
  }
}
